[Liblas-devel] compile error in gt_wkt_srs.cpp.o, git master

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[Liblas-devel] compile error in gt_wkt_srs.cpp.o, git master

Eric Goddard
Hi all,

I've been compiling libLAS for quite awhile with no issues. While setting everything up on a fresh install of Linux Mint 16, I'm running into some problems compiling libLAS. The output from make is at:

http://paste.kde.org/p2c8da0bb

I'm using GDAL revision 26912 (03 Feb 2014) and libLAS git master. I have the following geotiff debs installed:

geotiff-bin  1.4.0    
libgeotiff-dev  1.4.0              
libgeotiff-epsg 1.3.0-1                            
libgeotiff2   1.4.0

I use libLAS for the GRASS7 lidar tools. Any assistance in resolving this issue would be greatly appreciated!

Thanks,
Eric
 

_______________________________________________
Liblas-devel mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/liblas-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Liblas-devel] compile error in gt_wkt_srs.cpp.o, git master

Mateusz Loskot
On 5 February 2014 03:33, Eric Goddard <[hidden email]> wrote:
> Hi all,
>
> I've been compiling libLAS for quite awhile with no issues. While setting
> everything up on a fresh install of Linux Mint 16, I'm running into some
> problems compiling libLAS. The output from make is at:
>
> http://paste.kde.org/p2c8da0bb

This seems to be like known problem from the past,  it also (used to?)
affect PDAL

http://trac.osgeo.org/gdal/ticket/4374

I haven't followed this further in PDAL, so I'm not sure if and how it
is solved there now.
Perhaps Howard has solution for that, I could try to apply it to libLAS.

Best regards,
--
Mateusz  Łoskot, http://mateusz.loskot.net
_______________________________________________
Liblas-devel mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/liblas-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: [Liblas-devel] compile error in gt_wkt_srs.cpp.o, git master

Eric Goddard
It appears the issue is due to a change in GDAL. I checked out GDAL revision 26484 (September 2013) that I'm using on my desktop and which libLAS successfully compiled against. With that GDAL revision I was able to compile libLAS.

Eric


On Wed, Feb 5, 2014 at 4:09 AM, Mateusz Łoskot <[hidden email]> wrote:
On 5 February 2014 03:33, Eric Goddard <[hidden email]> wrote:
> Hi all,
>
> I've been compiling libLAS for quite awhile with no issues. While setting
> everything up on a fresh install of Linux Mint 16, I'm running into some
> problems compiling libLAS. The output from make is at:
>
> http://paste.kde.org/p2c8da0bb

This seems to be like known problem from the past,  it also (used to?)
affect PDAL

http://trac.osgeo.org/gdal/ticket/4374

I haven't followed this further in PDAL, so I'm not sure if and how it
is solved there now.
Perhaps Howard has solution for that, I could try to apply it to libLAS.

Best regards,
--
Mateusz  Łoskot, http://mateusz.loskot.net


_______________________________________________
Liblas-devel mailing list
[hidden email]
http://lists.osgeo.org/mailman/listinfo/liblas-devel
Loading...